import { EventListenerWithPointInfo } from '@uspk-ui/react-utils';
import { EventListenerEnv } from '@uspk-ui/react-use-event-listener';

/**
 * Credit goes to `framer-motion` of this useful utilities.
 * License can be found here: https://github.com/framer/motion
 */

/**
 * @internal
 */
declare function usePointerEvent(env: EventListenerEnv, eventName: string, handler: EventListenerWithPointInfo, options?: AddEventListenerOptions): () => void;

export { usePointerEvent };
