// src/index.ts
import {
  getPointerEventName,
  wrapPointerEventHandler
} from "@uspk-ui/react-utils";
import { useEventListener } from "@uspk-ui/react-use-event-listener";
function usePointerEvent(env, eventName, handler, options) {
  return useEventListener(
    getPointerEventName(eventName),
    wrapPointerEventHandler(handler, eventName === "pointerdown"),
    env,
    options
  );
}
export {
  usePointerEvent
};
